
Ruby - Bug #13785

trunk fails on Travis

08/07/2017 11:15 AM - duerst (Martin Dürst)

Status: Closed   

Priority: Normal   

Assignee: nobu (Nobuyoshi Nakada)   

Target version:    

ruby -v: ruby 2.5.0dev (2017-08-07 trunk 59526) Backport: 2.2: UNKNOWN, 2.3: UNKNOWN, 2.4:

UNKNOWN

Description

I noticed that travis-ci (https://travis-ci.org/ruby/ruby/builds) was red after I checked in r59521. I thought about reverting my commit,

but realized that travis-ci had been red for trunk for a number of commits before mine. I hope we can get back to green soon.

Associated revisions

Revision 50dc093d6b8d798e5703d33f7756071f23412c75 - 08/08/2017 08:34 AM - nobu (Nobuyoshi Nakada)

dir.c: fix up r59481 for old kernels

dir.c (glob_helper): fix up r59481 for old kernels, which

provide d_type member but just always set DT_UNKNOWN for any

entries.  [ruby-core:82266] [Bug #13785]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@59527 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 50dc093d - 08/08/2017 08:34 AM - nobu (Nobuyoshi Nakada)

dir.c: fix up r59481 for old kernels

dir.c (glob_helper): fix up r59481 for old kernels, which

provide d_type member but just always set DT_UNKNOWN for any

entries.  [ruby-core:82266] [Bug #13785]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@59527 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision ec4af34efbe971cf48b600688b9356e3513e93bc - 08/08/2017 10:43 AM - nobu (Nobuyoshi Nakada)

dir.c: fix up r59527

dir.c (glob_helper): fix up r59527, dot files other than current

directory should not be included unless FNM_DOTMATCH is given.

[ruby-core:82266] [Bug #13785]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@59529 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision ec4af34e - 08/08/2017 10:43 AM - nobu (Nobuyoshi Nakada)

dir.c: fix up r59527

dir.c (glob_helper): fix up r59527, dot files other than current

directory should not be included unless FNM_DOTMATCH is given.

[ruby-core:82266] [Bug #13785]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@59529 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 08/08/2017 08:34 AM - nobu (Nobuyoshi Nakada)

- Status changed from Open to Closed

Applied in changeset trunk|r59527.

dir.c: fix up r59481 for old kernels

dir.c (glob_helper): fix up r59481 for old kernels, which
provide d_type member but just always set DT_UNKNOWN for any

entries.  [ruby-core:82266] [Bug #13785]

Powered by TCPDF (www.tcpdf.org)

06/17/2025 2/2

bugs.ruby-lang.org/issues/13785
https://redmine.ruby-lang.org/issues/13785
http://www.tcpdf.org

